package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Eba;
import com.brilliance.isc.bo.Ebb;
import com.brilliance.isc.bo.Ebc;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ebagrp extends AbstractCommonVo {

    private Eba bas;

    private List<Ebb> dcl;

    private List<Ebc> vrf;

    private BigDecimal oldguaranamt = Decimals.ZERO_SCALE2;

    @Override
    public void reset() {
        if(bas == null) {
            bas = new Eba();
        }
        if(dcl == null) {
            dcl = new ArrayList<>();
        }
        if(vrf == null) {
            vrf = new ArrayList<>();
        }
    }
}
